Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## demos.semantic_adaptation
Class DE_SDF_DumbInterfaceBlock

    java.lang.Object
      modhelxs.abstractsemantics.NamedEntity
          modhelxs.abstractsemantics.ObservableEntity
              modhelxs.abstractsemantics.Block
                  modhelxs.abstractsemantics.InterfaceBlock
                      modhelxs.state_management.ManagedInterfaceBlock
                          demos.semantic_adaptation.DE_SDF_DumbInterfaceBlock

All Implemented Interfaces:
  Block, InterfaceBlock, NamedEntity, ObservableEntity

    public class DE_SDF_DumbInterfaceBlock

extends ManagedInterfaceBlock

A dumb interface block between DE and SDF. This interface block ignore the specificities of DE and SDF. It simply copies the value of DE input events to SDF data samples and updates its internal model each time it is updated. On output, each data sample produced by the SDF model is transformed into a DE event.

Author:
  boulange

Constructor Summary
`DE_SDF_DumbInterfaceBlock(java.lang.String name, Model<Unit> internalModel, java.lang.Object... properties)`

Method Summary
`void` | `adaptIn()` Adapt data, time and control from the outer model to the inner one.
`void` | `adaptOut()` Adapt data, time and control from the inner model to the outer one.
`void` | `doEndOfSnapshot()` The endOfSnapshot behavior of the interface block.
`void` | `doGhostUpdate()` The update behavior of the interface block when the internal model is not updated.
`void` | `doPostUpdate()` The update behavior of the interface block after updating the internal model.
`void` | `doPreSetup()` Some pre-setup behavior necessary for subclasses.
`void` | `doPreUpdate()` The update behavior of the interface block before updating the internal model.
`void` | `doReset()` The reset behavior of the interface block.
`void` | `doSetup()` The setup behavior of the block.
`void` | `doStartOfSnapshot()` The start of snapshot behavior of the block.
`boolean` | `shouldUpdateModel()` Should the internal model be updated.

Methods inherited from class modhelxs.state_management.ManagedInterfaceBlock
`endOfSnapshot, endOfUpdate, initFromProperties, internalWasUpdated, reset, setup, startOfSnapshot, startOfUpdate, update, wasUpdated`

Methods inherited from class modhelxs.abstractsemantics.InterfaceBlock
`connect, connectFromModel, createAdaptationRelation, emitObservationRequests, getAdaptation, getInputPins, getInternalModel, getOutputPins, prep, validate, wrapup`

Methods inherited from class modhelxs.abstractsemantics.Block
`connectFromInterfaceBlock, connectFromRegularBlock, getEngine, getMoC, getParent, getSolver, getTimeOfRequest, hasObservationRequest, sanityCheck, setParent`

Methods inherited from class modhelxs.abstractsemantics.ObservableEntity
`addPin, getInterface, getPin`

Methods inherited from class modhelxs.abstractsemantics.NamedEntity
`getName, getProperties, getProperty, hasProperty, removeProperty, setName, setProperties, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface modhelxs.ecore.Block
`getParent`

Methods inherited from interface modhelxs.ecore.ObservableEntity
`getInterface`

Methods inherited from interface modhelxs.ecore.NamedEntity
`getName, getProperties, setName`

Constructor Detail

### DE_SDF_DumbInterfaceBlock

    public DE_SDF_DumbInterfaceBlock(java.lang.String name,
                                     Model<Unit> internalModel,
                                     java.lang.Object... properties)

Method Detail

### doPreSetup

    public void doPreSetup()

  Description copied from class: `ManagedInterfaceBlock`
  Some pre-setup behavior necessary for subclasses.

  Specified by:
    `doPreSetup` in class `ManagedInterfaceBlock`

### doSetup

    public void doSetup()

  Description copied from class: `ManagedInterfaceBlock`
  The setup behavior of the block.

  Specified by:
    `doSetup` in class `ManagedInterfaceBlock`

### doStartOfSnapshot

    public void doStartOfSnapshot()

  Description copied from class: `ManagedInterfaceBlock`
  The start of snapshot behavior of the block.

  Specified by:
    `doStartOfSnapshot` in class `ManagedInterfaceBlock`

### doReset

    public void doReset()

  Description copied from class: `ManagedInterfaceBlock`
  The reset behavior of the interface block.

  Specified by:
    `doReset` in class `ManagedInterfaceBlock`

### adaptIn

    public void adaptIn()

  Description copied from class: `InterfaceBlock`
  Adapt data, time and control from the outer model to the inner one.

  Specified by:
    `adaptIn` in class `InterfaceBlock`

### shouldUpdateModel

    public boolean shouldUpdateModel()

  Description copied from class: `ManagedInterfaceBlock`
  Should the internal model be updated.

  Specified by:
    `shouldUpdateModel` in class `ManagedInterfaceBlock`

### doPreUpdate

    public void doPreUpdate()

  Description copied from class: `ManagedInterfaceBlock`
  The update behavior of the interface block before updating the internal model.

  Specified by:
    `doPreUpdate` in class `ManagedInterfaceBlock`

### doPostUpdate

    public void doPostUpdate()

  Description copied from class: `ManagedInterfaceBlock`
  The update behavior of the interface block after updating the internal model.

  Specified by:
    `doPostUpdate` in class `ManagedInterfaceBlock`

### doGhostUpdate

    public void doGhostUpdate()

  Description copied from class: `ManagedInterfaceBlock`
  The update behavior of the interface block when the internal model is not updated.

  Specified by:
    `doGhostUpdate` in class `ManagedInterfaceBlock`

### adaptOut

    public void adaptOut()

  Description copied from class: `InterfaceBlock`
  Adapt data, time and control from the inner model to the outer one.

  Specified by:
    `adaptOut` in class `InterfaceBlock`

### doEndOfSnapshot

    public void doEndOfSnapshot()

  Description copied from class: `ManagedInterfaceBlock`
  The endOfSnapshot behavior of the interface block.

  Specified by:
    `doEndOfSnapshot` in class `ManagedInterfaceBlock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD